image: docker:19.03.12

before_script:
  # - docker info

variables:
  SPRING_PROFILES_ACTIVE: default
  DOCKER_DRIVER: overlay

stages:
  - build
  - test
  - package
  - pre-deploy
  - deploy

maven-build-stable:
  image: maven:3.6.3-openjdk-15
  stage: build
  script:
    - mvn install -DskipTests
  artifacts:
    paths:
      - target/*.jar
  # only:
  #   - staging

docker-build:
  stage: package
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [""]
  script:
    - echo "{\"auths\":{\"$CI_REGISTRY\":{\"username\":\"$CI_REGISTRY_USER\",\"password\":\"$CI_REGISTRY_PASSWORD\"}}}" > /kaniko/.docker/config.json
    - /kaniko/executor --context $CI_PROJECT_DIR --dockerfile $CI_PROJECT_DIR/Dockerfile --destination $CI_REGISTRY_IMAGE:latest --skip-tls-verify --skip-tls-verify-pull --skip-tls-verify-registry $CI_REGISTRY
  # only:
  #   - staging

# docker-delete-container:
#   stage: pre-deploy
#   script:
#     - docker rm connect-services-admin-server -f
#     - docker rmi $CI_REGISTRY_IMAGE:latest -f
#   only:
#     - staging
#   allow_failure: true

# docker-deploy:
#   stage: deploy
#   before_script: 
#     - mkdir $HOME/.docker
#     - echo "{\"auths\":{\"$CI_REGISTRY\":{\"username\":\"$CI_REGISTRY_USER\",\"password\":\"$CI_REGISTRY_PASSWORD\"}}}" > $HOME/.docker/config.json
#   script:
#     - docker run -d --network host -e SPRING_PROFILE=default --name connect-services $CI_REGISTRY_IMAGE:latest
#   environment:
#     name: staging
#     url: https://cc1.chaos.hr:9090
#   only:
#     - staging
